Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
input_code Struct Reference

## Data Fields
const char * | name
nkf_char | stat
nkf_char | score
nkf_char | index
nkf_char | buf [3]
void(* | status_func )(struct input_code *, nkf_char)
nkf_char(* | iconv_func )(nkf_char c2, nkf_char c1, nkf_char c0)
int | _file_stat

## Detailed Description

Definition at line 325 of file nkf.c.

## Field Documentation

## ◆ _file_stat

int input_code::_file_stat

Definition at line 333 of file nkf.c.

## ◆ buf

nkf_char input_code::buf[3]

Definition at line 330 of file nkf.c.

## ◆ iconv_func

nkf_char(* input_code::iconv_func) (nkf_char c2, nkf_char c1, nkf_char c0)

Definition at line 332 of file nkf.c.

## ◆ index

nkf_char input_code::index

Definition at line 329 of file nkf.c.

## ◆ name

const char* input_code::name

Definition at line 326 of file nkf.c.

## ◆ score

nkf_char input_code::score

Definition at line 328 of file nkf.c.

## ◆ stat

nkf_char input_code::stat

Definition at line 327 of file nkf.c.

## ◆ status_func

void(* input_code::status_func) (struct input_code *, nkf_char)

Definition at line 331 of file nkf.c.

The documentation for this struct was generated from the following file:

- ext/nkf/nkf-utf8/nkf.c